#!/bin/sh

. /etc/script/lib/command.sh

ORAYNEWPH_APP=/usr/local/AppCentral/phddns
ORAYNEWPH_SERVICE=/usr/local/AppCentral/phddns/bin/oraynewph
ORAYSL_SERVICE=/usr/local/AppCentral/phddns/bin/oraysl
ORAY_DAEMON=/usr/local/AppCentral/phddns/CONTROL/daemon.sh

case $1 in

	start)
		echo "oraynewph service start...."
		pkill oraynewph 2> /dev/null
		pkill oraysl 2> /dev/null
		kill `pidof daemon.sh`
		$ORAYNEWPH_SERVICE -s 0.0.0.0 &	
		$ORAYSL_SERVICE -a 127.0.0.1 -p 16062 -s phsle01.oray.net:80 -d
		$ORAY_DAEMON &
		;;

	stop)
		echo "oraynewph service stop"
		killall -9 oraynewph 2> /dev/null
		killall -9 oraysl 2> /dev/null
		killall -9 daemon.sh 2>/dev/null
		;;

	*)
		echo "usage: $0 {start|stop}"
		exit 1
		;;
		
esac

exit 0
